WHICH(1)

#

NAME
which - locate a program file in the user's path

SYNOPSIS
which [-as] [command] ...

DESCRIPTION
Which takes a list of command names and searches the path for each executable file that would be run had these commands actually been invoked.

The following options are available:

-a  List all instances of executables found (instead of just the first one of each).

-s  No output, just return 0 if any of the executables are found, or 1 if none are found.

HISTORY
The which command first appeared in FreeBSD 2.1

SEE ALSO
perl(1)

AUTHOR
The PERL script for this more modern version of which was written by Wolfram Schneider <wosch@cs.tu-berlin.de>.